Redmine - Feature #7184

provide trackers in "project XML" response
2010-12-28 00:40 - Alex Last

Status: Closed Start date: 2010-12-28
Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Invalid

Description

this is the response | get from REST APl on my "get project(s)" request:

<?xml version="1.0" encoding="UTF-8"7?>

<project>
<id>80</1id>
<name>project number 1293492756675</name>
<identifier>projkeyl1293492756675</identifier>
<description>some description for the project</description>
<homepage></homepage>
<created_on>2010-12-27T15:32:39-08:00</created_on>
<updated_on>2010-12-27T15:32:39-08:00</updated_on>

</project>

would be nice to have the project trackers list in this response - or at least allow fetching the trackers separately like it's requested in
#7181.

Related issues:
Related to Redmine - Feature #7181: List of trackers in REST API Closed 2010-12-27

History

#1 - 2011-01-03 03:04 - moritz haarmann

Have you tried using the /projects/[id].xml option? At least I'm getting the trackers there.

<trackers>
<tracker name="Bug" id="1"/>
<tracker name="Feature" id="2"/>
<tracker name="Support" id="3"/>
<tracker name="Action" id="6"/>
<tracker name="Review" id="7"/>
<tracker name="Test" id="8"/>
</trackers>

#2 - 2011-01-03 08:50 - Alex Last

| tried your URL as well. I'm using "Redmine 1.1.0.devel.4622 (PostgreSQL)" version.
maybe | should have ran some db migration scripts in addition to "svn up" for this redmine version?..

request:

http://academ:3000/projects/122.xml?key=01d7692c218a74d60d25d8eb5£62874a22e£8599
response:

<?xml version="1.0" encoding="UTF-8"?>

<project>

<id>122</id><name>projB</name>
<identifier>projb</identifier>

<description></description>

<homepage></homepage>
<created_on>2011-01-02T723:36:38-08:00</created_on>
<updated_on>2011-01-02T23:36:38-08:00</updated_on>
</project>

#3 - 2011-01-03 08:58 - Alex Last

| see a similar request sent to www.hostedredmine.com site returns

<project>
<id>...</id>
<name>..... </name>
<identifier>..... </identifier>

<description></description>
<homepage></homepage>

<created_on>....</created_on>
<updated_on>....</updated_on>
<trackers>

<tracker name="Feature" id="2"/>
<tracker name="Support" id="3"/>
<tracker name="Bug" id="1"/>
<tracker name="Task" id="4"/>
</trackers>
</project>

so | guess it must be something with my setup - but what?

#4 - 2011-01-04 07:06 - Alex Last

| installed Redmine 1.0.5 on a new server. | can see "trackers" list in XML response for the projects created through the web-interface, but not for the
project created via REST API, which has this xml response:

<project>
<id>2</id>
<name>project number 1294120761945</name>
<trackers>
</trackers>

</project>

| thought the default trackers will be assigned to the projects created via REST API without specifying the trackers list. am | wrong?
| also see all options on "Select modules to enable for this project"”, including "Issue tracking”, are UN-checked for those new projects.

#5 - 2011-01-04 07:19 - Alex Last
| see trackers are added to the XML response if | manually select them on Project -> Settings -> Information page - which makes sense.

s0, the question boils down to: how do | create a project through REST API so that it would get all default trackers assigned? | don't want to specify
the default trackers with their IDs in "Create project" request (I don't even have that info).

another question: how to specify "enabled modules" when creating project via REST API?

#6 - 2011-01-11 21:29 - Alex Last

- Status changed from New to Resolved

| think this particular request can be closed. the questions | raised in the previous comments are out of scope of this task.

#7 - 2011-01-11 22:38 - Alex Last

mmm... sorry, but | have to reopen this request (which can be changed from "feature" to "bug").

| installed the last stable 1.1.0 version, deleted the database just to be sure, re-created it, loaded default data. this assures | have the "clean" install.
then created a project via REST API and still can't see the trackers in the response from the server.

| added the rest api user to the project members manually via the web Ul (just to try this idea) and still don't get the trackers.

| can see in the web Ul that the "issue tracking" module is enabled for the project and the available trackers are checked/selected there.

| had to read Redmine's source code to find out there's an undocumented parameter:

include=trackers
| can finally see the trackers in the response when | provide this parameter.

Jean-Philippe, could you please clarify if this is a bug in the system or | do need to use that parameter. I'm not sure if it's not something internal
which will go away in the next version(s).
#8 - 2011-03-30 19:52 - Marco Descher

| have the same problem here, where do | need to put this parameter in, to get it work again? In 1.0.2 it works, 1.1.2 does not return the tracker list :(

#9 - 2011-03-30 20:27 - Etienne Massip

This behavior has been added by r4486 and included in version 1.1.0.

There is a tiny paragraph in developper guide about this change : Rest_api.
#10 - 2011-03-30 20:30 - Marco Descher
Marco Descher wrote:
| have the same problem here, where do | need to put this parameter in, to get it work again? In 1.0.2 it works, 1.1.2 does not return the tracker

list :(

Okay, | see you need to pass it at the HTTP Line adding ?include=trackers...

#11 - 2011-04-22 15:50 - Etienne Massip
- Status changed from Resolved to Closed
- Assignee deleted (Jean-Philippe Lang)

- Resolution set to Invalid
